Subject: Re: [PATCH 1/2] rhashtable: accept GFP flags in rhashtable_walk_init

From: Johannes Berg <[email-masked]>
Date: Thu, 03 Mar 2016 16:26:19 +0100

On Wed, 2016-03-02 at 10:09 -0500, Bob Copeland wrote:
> In certain cases, the 802.11 mesh pathtable code wants to
> iterate over all of the entries in the forwarding table from
> the receive path, which is inside an RCU read-side critical
> section.  Enable walks inside atomic sections by allowing
> GFP_ATOMIC allocations for the walker state.
> 
> Change all existing callsites to pass in GFP_KERNEL.

Applied both. You missed 3 callsites, I've fixed those. I hope I got
them all :)

johannes